package org.project.item.consumables;

import org.project.entity.players.Player;
import org.project.utils.ConsoleColors;

public class ManaPotion extends Consumable {
    private final int mana = 30;

    public ManaPotion() {
        super("Mana Potion", 45);
    }

    @Override
    public void use(Player player) {
        player.fillMana(mana);
        System.out.println(ConsoleColors.BLUE + player.getName() +
                " recovered " + mana + " Mana." + ConsoleColors.RESET);
    }
}